Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 272059

Summary: >=x11-base/xorg-server-1.5* and GEM, KMS and UXA - bad resolution
Product: Gentoo Linux Reporter: Oschtan <dawnstyle>
Component: [OLD] UnspecifiedAssignee: Gentoo X packagers <x11>
Status: VERIFIED UPSTREAM    
Severity: normal    
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://bugs.freedesktop.org/show_bug.cgi?id=22451
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: Xorg.0.log
xorg.conf
Screen.png
xrandr.conf

Description Oschtan 2009-06-01 08:16:04 UTC
KDE-4.2 / Compiz-0.8.2 / kernel:2.6.29-2.6.30(git) /xorg-server-1.5.3-r5 -1.6*
Intel G33 / intel-driver-2.7* / ~amd64 / MB: P5KPL-VM.

==========Xorg.0.log=============
(II) intel(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
(II) intel(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "800x600"x0.0   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz)
(II) intel(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz)
(II) intel(0): Modeline "640x480"x0.0   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz)
(II) intel(0): Modeline "640x480"x0.0   30.24  640 704 768 864  480 483 486 525 -hsync -vsync (35.0 kHz)
(II) intel(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
(II) intel(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
(II) intel(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz)
(II) intel(0): Modeline "1024x768"x0.0   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync (56.5 kHz)
(II) intel(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) intel(0): Modeline "832x624"x0.0   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz)
(II) intel(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) intel(0): Modeline "800x600"x0.0   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz)
(II) intel(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
(II) intel(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz)
(II) intel(0): Modeline "1280x960"x0.0  108.00  1280 1376 1488 1800  960 961 964 1000 +hsync +vsync (60.0 kHz)
(II) intel(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz)
==================/var/log/messages==========
.........
[drm] DAC-6: set mode 1024x768 19
.........
================KDE Menu=====================
1024x768@70/60
800x600@70/60
640x480@70/60
720x400@70/60
=============================================
Necessary and possibly: 1280x1024@80 but system doesn't know about it.

Reproducible: Always

Steps to Reproduce:
Create config .kde/Autostart/xrandr
But KDE Task-bar is not sufficiently changing its size.



Portage 2.2_rc33 (default/linux/amd64/2008.0, gcc-4.3.3, glibc-2.10.1-r0, 2.6.30-rc7-git4 x86_64)
=================================================================                                
System uname: Linux-2.6.30-rc7-git4-x86_64-Intel-R-_Core-TM-2_Duo_CPU_E6550_@_2.33GHz-with-gentoo-2.0.0
Timestamp of tree: Mon, 01 Jun 2009 04:45:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p24
dev-java/java-config: 1.3.7-r1, 2.1.8
dev-lang/python:     2.6.2
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.4
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r2
sys-apps/sandbox:    1.9
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.29
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native -mtune=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe -march=native -mtune=native"
DISTDIR="/usr/portage/distfiles"
FEATURES="buildpkg ccache collision-protect distlocks fixpackages metadata-transfer parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.yandex.ru/gentoo-distfiles http://trumpetti.atm.tut.fi/gentoo ftp://linux.rz.ruhr-uni-bochum.de/gentoo-mirror http://distfiles.gentoo.org ftp://seclorum.msk.ru/etc/gentoo/portage"
LANG="ru_RU.UTF-8"
LC_ALL=""
LDFLAGS="-Wl,-O1"
LINGUAS="ru"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://trumpetti.atm.tut.fi/gentoo-portage"
USE="7zip X a52 aac aalib acl acpi additions alsa amd64 amr amrnb amrwb ao apm applet audacious audiofile avahi bdf berkdb bindist bzip2 cairo cdparanoia cdr cgi cjk clamav cli color-console consolekit cracklib crypt cups dbus divx djvu dri drm dts dvd dvdr dvdread emerald enca encode exif fbcondecor ffmpeg fortran ftp fuse gd gecko gif gimp glitz gmedia gphoto2 gpm graphviz gtk gtkhtml hal hddtemp hdri htmlhandbook icons iconv icq imagemagick imlib isdnlog java javascript jbig jpeg jpeg2k kde4 lame lcms lm_sensors lzma mad mdnsresponder-compat midi mikmod mime mjpeg mmx mng motif mp2 mp3 mp4 mpeg mplayer mudflap multilib multitarget ncurses network nls nova npp nptl nptlonly nsplugin oav objc objc++ objc-gc ogg openexr opengl openmp oscar pam pcre pdf perl pertty plotutils png povray ppds pppd python qt3 qt3support qt4 quicktime rar rcc readline realmedia reflection rtc samba sdl sensord session sndfile sound source spell spl sqlite sqlite3 srt sse sse2 ssl ssse3 startup-notification subversion svg symlink sysfs syslog szip tcpd theora tidy tiff truetype type1 unicode unsupported usb userlocales utempter vcd visualization vorbis wma wmf wmp x264 x264-svn-encoder xattr xcb xcomposite xml xorg xpm xscreensaver xulrunner xv xvid zip zlib" ALSA_CARDS="intel-hda" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" CAMERAS="adc65 agfa_cl20 aox barbie canon casio_qv clicksmart310 digigr8 digita dimagev dimera3500 directory enigma13 fuji gsmart300 hp215 iclick jamcam jd11 kodak_dc120 kodak_dc210 kodak_dc240 kodak_dc3200 kodak_ez200 konica konica_qm150 largan lg_gsm mars mustek panasonic_coolshot panasonic_dc1000 panasonic_dc1580 panasonic_l859 pccam300 pccam600 polaroid_pdc320 polaroid_pdc640 polaroid_pdc700 ptp2 ricoh ricoh_g3 samsung sierra sipix_blink sipix_blink2 sipix_web2 smal sonix sony_dscf1 sony_dscf55 soundvision spca50x sq905 stv0674 stv0680 sx330z template toshiba_pdrm11" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ru" USERLAND="GNU" VIDEO_CARDS="intel"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Oschtan 2009-06-01 08:16:41 UTC
Created attachment 193117 [details]
Xorg.0.log
Comment 2 Oschtan 2009-06-01 08:17:08 UTC
Created attachment 193119 [details]
xorg.conf
Comment 3 Oschtan 2009-06-01 08:17:59 UTC
Created attachment 193121 [details]
Screen.png
Comment 4 Oschtan 2009-06-01 08:18:30 UTC
Created attachment 193123 [details]
xrandr.conf
Comment 5 Oschtan 2009-06-01 08:57:48 UTC
In console resolution is 1280x1024...
Comment 6 Rémi Cardona gentoo-dev 2009-06-07 14:58:05 UTC
I'm not sure I understand what the bug is, everything looks normal...

Could you try explaining again?

Thanks
Comment 7 Oschtan 2009-06-07 17:46:13 UTC
X-server is'n using all possible allowed resolutions. In particular 1280x1024@80. Only using "add mode" by means of xrandr is capable to change resolution.
P.S. Usable "default" modeline's X is  1024x768@70/60 800x600@70/60 640x480@70/60 720x400@70/60... In console 1280x1024@80...
Comment 8 Rémi Cardona gentoo-dev 2009-06-07 18:36:08 UTC
And UMS works fine?

Thanks
Comment 9 Rémi Cardona gentoo-dev 2009-06-23 08:44:04 UTC
Please get back to us.

Thanks
Comment 10 Oschtan 2009-06-23 10:38:33 UTC
(In reply to comment #8)
> And UMS works fine?
> 
> Thanks
> 

What is UMS? %) User Man. Sys.?
Comment 11 Rémi Cardona gentoo-dev 2009-06-23 11:33:03 UTC
"user mode setting", as opposed to Kernel mode setting.
Comment 12 Oschtan 2009-06-23 11:45:34 UTC
(In reply to comment #11)
> "user mode setting", as opposed to Kernel mode setting.
> 

Hmm. Without KMS all work fine: It is using modeline from xorg.conf. And resolution in console from grub.conf... 1280X1024@80
Comment 13 Rémi Cardona gentoo-dev 2009-06-23 12:31:27 UTC
Do you actually need those mode lines? Can't the driver figure them out on its own? IMHO, _that_ would be a bigger bug first :)

Thanks
Comment 14 Oschtan 2009-06-23 12:50:19 UTC
(In reply to comment #13)
> Do you actually need those mode lines? Can't the driver figure them out on its
> own? IMHO, _that_ would be a bigger bug first :)
> 
> Thanks
> 

1280x1024@80 - default resolution for Windows. But Xorg(GEM KMS) reject this resolution by default. I need this resolution. Using xrandr for updating xorg-modeline during booting prosess is bad solution.
Comment 15 Rémi Cardona gentoo-dev 2009-06-23 14:07:21 UTC
That's not what I meant.

Without KMS, if you get rid of the mode line in your xorg.conf, what happens? Does Xorg find the correct resolution? Does it offer the resolution but decides to use another one?

Thanks
Comment 16 Oschtan 2009-06-23 15:39:25 UTC
(In reply to comment #15)
> That's not what I meant.
> 
> Without KMS, if you get rid of the mode line in your xorg.conf, what happens?
> Does Xorg find the correct resolution? Does it offer the resolution but decides
> to use another one?
> 
> Thanks
> 
Without KMS: xorg find the correct resolution in xorg.conf but with KMS one ignore xorg.conf
Comment 17 Rémi Cardona gentoo-dev 2009-06-23 15:49:09 UTC
I'm obviously not getting through to you.

1) please remove/comment the modeline from xorg.conf (the following lines)

    Mode "1280x1024"
	DotClock	108.00
	HTimings	1280 1328 1440 1688
	VTimings	1024 1025 1028 1066
    EndMode

2) in UMS (I don't care about KMS yet), what happens when you restart X?

Thanks
Comment 18 Oschtan 2009-06-24 09:22:27 UTC
(In reply to comment #17)
> I'm obviously not getting through to you.
> 
> 1) please remove/comment the modeline from xorg.conf (the following lines)
> 
>     Mode "1280x1024"
>         DotClock        108.00
>         HTimings        1280 1328 1440 1688
>         VTimings        1024 1025 1028 1066
>     EndMode
> 
> 2) in UMS (I don't care about KMS yet), what happens when you restart X?
> 
> Thanks
> 
With KMS
KDE: 1024x768/800x600/640x480/720x400@70/60Hz
=======
xrandr --verbose
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 2048 x 2048
VGA1 connected 1024x768+0+0 (0x3d) normal (normal left inverted right x axis y axis) 376mm x 301mm
        Identifier: 0x3b
        Timestamp:  16870
        Subpixel:   unknown
        Clones:
        CRTC:       0
        CRTCs:      0 1
        Transform:  1.000000 0.000000 0.000000
                    0.000000 1.000000 0.000000
                    0.000000 0.000000 1.000000
                   filter:
  1024x768 (0x3c)   75.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1328 skew    0 clock   56.5KHz
        v: height  768 start  771 end  777 total  806           clock   70.1Hz
  1024x768 (0x3d)   65.0MHz -HSync -VSync *current
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0x3e)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  800x600 (0x3f)   36.0MHz +HSync +VSync
        h: width   800 start  824 end  896 total 1024 skew    0 clock   35.2KHz
        v: height  600 start  601 end  603 total  625           clock   56.2Hz
  640x480 (0x40)   30.2MHz -HSync -VSync
        h: width   640 start  704 end  768 total  864 skew    0 clock   35.0KHz
        v: height  480 start  483 end  486 total  525           clock   66.7Hz
  640x480 (0x41)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   60.0Hz
  720x400 (0x42)   28.3MHz -HSync +VSync
        h: width   720 start  738 end  846 total  900 skew    0 clock   31.5KHz
        v: height  400 start  412 end  414 total  449           clock   70.1Hz
//Booting resolution 1024x768@70
Comment 19 Oschtan 2009-06-24 09:32:06 UTC
(In reply to comment #17)
> I'm obviously not getting through to you.
> 
> 1) please remove/comment the modeline from xorg.conf (the following lines)
> 
>     Mode "1280x1024"
>         DotClock        108.00
>         HTimings        1280 1328 1440 1688
>         VTimings        1024 1025 1028 1066
>     EndMode
> 
> 2) in UMS (I don't care about KMS yet), what happens when you restart X?
> 
> Thanks
> 

Without KMS
KDE:1280x960/1024x768/800x600/640x480/720x400@70/60Hz (1280x960@60 only)
===============
xrandr --verbose
Screen 0: minimum 320 x 200, current 1280 x 960, maximum 2048 x 2048
VGA connected 1280x960+0+0 (0x3c) normal (normal left inverted right x axis y axis) 376mm x 301mm
        Identifier: 0x3b
        Timestamp:  14879
        Subpixel:   unknown
        Clones:
        CRTC:       0
        CRTCs:      0 1
        Transform:  1.000000 0.000000 0.000000
                    0.000000 1.000000 0.000000
                    0.000000 0.000000 1.000000
                   filter:
        EDID_DATA:
                00ffffffffffff004c2de10139314148
                341101030e261e782ade95a3544c9926
                0f5054bfef8081808140714f01010101
                010101010101302a009851002a403070
                1300782d1100001e000000fd00384b1e
                510e000a202020202020000000fc0053
                796e634d61737465720a2020000000ff
                00484d41504336303539320a20200097
  1280x960 (0x3c)  108.0MHz +HSync +VSync *current
        h: width  1280 start 1376 end 1488 total 1800 skew    0 clock   60.0KHz
        v: height  960 start  961 end  964 total 1000           clock   60.0Hz
  1024x768 (0x3d)   75.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1328 skew    0 clock   56.5KHz
        v: height  768 start  771 end  777 total  806           clock   70.1Hz
  1024x768 (0x3e)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0x3f)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  800x600 (0x40)   36.0MHz +HSync +VSync
        h: width   800 start  824 end  896 total 1024 skew    0 clock   35.2KHz
        v: height  600 start  601 end  603 total  625           clock   56.2Hz
  640x480 (0x41)   30.2MHz -HSync -VSync
        h: width   640 start  704 end  768 total  864 skew    0 clock   35.0KHz
        v: height  480 start  483 end  486 total  525           clock   66.7Hz
  640x480 (0x42)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   59.9Hz
  720x400 (0x43)   28.3MHz -HSync +VSync
        h: width   720 start  738 end  846 total  900 skew    0 clock   31.5KHz
        v: height  400 start  412 end  414 total  449           clock   70.1Hz
//Booting resolution 1280x960@60
Comment 20 Rémi Cardona gentoo-dev 2009-06-24 09:35:06 UTC
Ok, so even without KMS, you have a resolution bug. The intel driver should be able to pick up the resolution of your monitor. That should be fixed first, KMS second.

Please file a bug in FreeDesktop's bugzilla [1] and please paste the url here.

Thanks

[1] http://intellinuxgraphics.org/how_to_report_bug.html
Comment 21 Oschtan 2009-06-24 10:48:58 UTC
(In reply to comment #20)
> Ok, so even without KMS, you have a resolution bug. The intel driver should be
> able to pick up the resolution of your monitor. That should be fixed first, KMS
> second.
> 
> Please file a bug in FreeDesktop's bugzilla [1] and please paste the url here.
> 
> Thanks
> 
> [1] http://intellinuxgraphics.org/how_to_report_bug.html
> 

Ok. https://bugs.freedesktop.org/show_bug.cgi?id=22451
Comment 22 Rémi Cardona gentoo-dev 2009-06-24 14:56:21 UTC
Let's track the bug upstream then.

Thanks
Comment 23 Oschtan 2009-07-06 09:21:52 UTC
Not a bug. Thanks.